CREATE TABLE msc_calendar_dates (
    CALENDAR_DATE          DATE          ,
    CALENDAR_CODE          VARCHAR2(88)  ,
    SEQ_NUM                NUMBER        ,
    NEXT_SEQ_NUM           NUMBER            NOT NULL,
    PRIOR_SEQ_NUM          NUMBER            NOT NULL,
    NEXT_DATE              DATE              NOT NULL,
    PRIOR_DATE             DATE              NOT NULL,
    CALENDAR_START_DATE    DATE              NOT NULL,
    CALENDAR_END_DATE      DATE              NOT NULL,
    DESCRIPTION            VARCHAR2(1000),
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY     VARCHAR2(120) ,
    ATTRIBUTE1             VARCHAR2(600) ,
    ATTRIBUTE2             VARCHAR2(600) ,
    ATTRIBUTE3             VARCHAR2(600) ,
    ATTRIBUTE4             VARCHAR2(600) ,
    ATTRIBUTE5             VARCHAR2(600) ,
    ATTRIBUTE6             VARCHAR2(600) ,
    ATTRIBUTE7             VARCHAR2(600) ,
    ATTRIBUTE8             VARCHAR2(600) ,
    ATTRIBUTE9             VARCHAR2(600) ,
    ATTRIBUTE10            VARCHAR2(600) ,
    ATTRIBUTE11            VARCHAR2(600) ,
    ATTRIBUTE12            VARCHAR2(600) ,
    ATTRIBUTE13            VARCHAR2(600) ,
    ATTRIBUTE14            VARCHAR2(600) ,
    ATTRIBUTE15            VARCHAR2(600) ,
    REFRESH_NUMBER         NUMBER        ,
    DELETED_FLAG           NUMBER        ,
    CALENDAR_DATE          DATE          ,
    CALENDAR_CODE          VARCHAR2(88)  ,
    SEQ_NUM                NUMBER        ,
    NEXT_SEQ_NUM           NUMBER            NOT NULL,
    PRIOR_SEQ_NUM          NUMBER            NOT NULL,
    NEXT_DATE              DATE              NOT NULL,
    PRIOR_DATE             DATE              NOT NULL,
    CALENDAR_START_DATE    DATE              NOT NULL,
    CALENDAR_END_DATE      DATE              NOT NULL,
    DESCRIPTION            VARCHAR2(1000),
    SR_INSTANCE_ID         NUMBER(18, 0) ,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY     VARCHAR2(120) ,
    ATTRIBUTE1             VARCHAR2(600) ,
    ATTRIBUTE2             VARCHAR2(600) ,
    ATTRIBUTE3             VARCHAR2(600) ,
    ATTRIBUTE4             VARCHAR2(600) ,
    ATTRIBUTE5             VARCHAR2(600) ,
    ATTRIBUTE6             VARCHAR2(600) ,
    ATTRIBUTE7             VARCHAR2(600) ,
    ATTRIBUTE8             VARCHAR2(600) ,
    ATTRIBUTE9             VARCHAR2(600) ,
    ATTRIBUTE10            VARCHAR2(600) ,
    ATTRIBUTE11            VARCHAR2(600) ,
    ATTRIBUTE12            VARCHAR2(600) ,
    ATTRIBUTE13            VARCHAR2(600) ,
    ATTRIBUTE14            VARCHAR2(600) ,
    ATTRIBUTE15            VARCHAR2(600) ,
    REFRESH_NUMBER         NUMBER        ,
    DELETED_FLAG           NUMBER        ,
    CONSTRAINT pk_msc_calendar_dates PRIMARY KEY (CALENDAR_DATE, CALENDAR_CODE, CALENDAR_DATE, CALENDAR_CODE)
);
